OTBGUI_LARGESCALEMEANSHIFT(1)

NAME
otbgui_LargeScaleMeanShift - OTB LargeScaleMeanShift application

DESCRIPTION
This is the Large-Scale MeanShift (LargeScaleMeanShift) application, version 6.2.0

Large-scale segmentation using MeanShift Complete documentation: http://www.orfeo-toolbox.org/Applications/LargeScaleMeanShift.html

  Parameters:

-progress
    <boolean> Report progress

-help
    <string list> Display long help (empty list), or help for given parameters keys

-in <string> Input Image (mandatory)

-spatialr
    <int32> Spatial radius (optional, on by default, default value is 5)

-ranger
    <float> Range radius (optional, on by default, default value is 15)

-minsize
    <int32> Minimum Segment Size (optional, on by default, default value is 50)

-tilesizex
    <int32> Size of tiles in pixel (X-axis) (mandatory, default value is 500)

-tilesizey
    <int32> Size of tiles in pixel (Y-axis) (mandatory, default value is 500)

-mode
    <string> Output mode [vector/raster] (mandatory, default value is vector)

-mode.vector.imfield <string>
    Support image for field computation (optional, off by default)

-mode.vector.out <string> Output GIS vector file (mandatory)

-mode.raster.out
    <string> [pixel] The output raster image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint32) (mandatory)

-cleanup
    <boolean> Temporary files cleaning (optional, on by default)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

Use -help param1 [... paramN] to see detailed documentation of those parameters.

EXAMPLES
otbgui_LargeScaleMeanShift -in QB_1_ortho.tif -spatialr 4 -ranger 80 -minsize 16 -mode.vector.out regions.shp